Tool approvals
Create MCP server tool approval
Add approval for a specific MCP tool when using per-tool approval mode
POST
Create MCP server tool approval
Path Parameters
ID of the MCP Server.
Body
application/json
Tool approval details to add for an MCP Server.
The name of the MCP tool
The description of the MCP tool
The input schema of the MCP tool (the schema defined on the MCP server before ElevenLabs does any extra processing)
The tool-level approval policy
Available options:
auto_approved, requires_approval Response
Successful Response
Response model representing an MCP Server configuration.
The metadata of the MCP Server
The access information of the MCP Server
Example:
dependent_agents
(DependentAvailableAgentIdentifier · object | DependentUnknownAgentIdentifier · object)[]
List of agents that depend on this MCP Server.
- DependentAvailableAgentIdentifier
- DependentUnknownAgentIdentifier